%define	name	libmodplug
%define	version	0.7
%define release 5mdk
%define epoch 1 
%define major 0
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion > 900
%define libname %mklibname modplug %major
%else
%define libname libmodplug%major
%endif
Name:		%{name}
Summary:	Modplug music player
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Sound
URL:		http://modplug-xmms.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/modplug-xmms/%name-%{version}.tar.bz2
Epoch: %epoch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Olivier Lapicque, author of Modplug, which is arguably the best quality
MOD-playing software available, has placed his sound rendering code in the
public domain.  This library and plugin is based on that code.

It can play 22 different mod formats, including:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM

%package -n %{libname}
Group:		System/Libraries
Summary:	Modplug shared library

%description -n %{libname}
This is the shared library part of the Modplug music player.

%package -n %{libname}-devel
Group:		Development/C++
Summary:	Header files for compiling against Modplug library.
Provides:	%name-devel = %epoch:%version-%release
Requires:	%{libname} = %epoch:%version-%release

%description -n %{libname}-devel
This is the development package of libmodplug. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/libmodplug.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS TODO ChangeLog
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_includedir}/libmodplug/
%_libdir/pkgconfig/*.pc

%changelog
* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-5mdk
- source URL
- new g++

* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-4mdk
- support mdk 9.0

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- fix deps of the devel package

* Thu Oct 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- add the epoch to the devel provides

* Thu Oct 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- set an epoch, the versionning was changed  
- initial splitted source package of libmodplug

* Sun Sep 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-4mdk
- small spec fixes
- fix buildrequires

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-3mdk
- rebuild for new rpm

* Mon Jun  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-2mdk
- drop patch
- build with automake 1.6

* Tue May 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-1mdk
- add new binary
- patch to work around missing automake1.6
- drop all patches
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.03-4mdk
- mklibname macro

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.03-3mdk
- fix buildrequires

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.03-2mdk
- fix build for rpm 
- patch1: don't flush output device (compatibility with the crossfader) 

* Wed Oct 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.03-1mdk
- autoconf 2.5 macro
- use included configure script
- 2.03

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-3mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-2mdk
- gcc 3.2 build

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-1mdk
- 2.02
- drop pstreams and patch, not needed anymore
- use bugfix patch from the author
- enable nls to make it build

* Tue Jun 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.01-1mdk
- 2.01
- drop patch1

* Sun Jun  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- gcc 3.1 port (bzip2 and gzip support currently broken)

* Mon Oct 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0-1mdk
- split library package
- patched for creating versioned library libmodplug.so.0
- updated files section
- BuildConflicts older modplug-xmms
- 2.0
- changed License tag, now it's Public Domain

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-3mdk
- too fast

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-1mdk
- udpated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.5a

* Fri Jan 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- 1.5
- gcc 2.96 again
- make rpmlint happy by renaming spec file

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3a-1mdk
- uploaded to 1.3
- build with egcs

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- took contributed SRPM from Gtz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- initial Mandrake release

